APIWebhooks
List webhook deliveries
List delivery history for an endpoint
GET https://api.sazabi.com/v1/webhooks/{webhookId}/deliveries
Path Parameters
webhookId*string
Webhook endpoint whose deliveries to list.
Format
uuidQuery Parameters
cursor?string
Cursor returned by a previous deliveries response.
Format
uuidlimit?integer
Maximum number of deliveries to return.
Range
1 <= value <= 100Default
50Response Body
application/json
curl -X GET "https://example.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/deliveries"{ "deliveries": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "notificationType": "string", "outcome": "authorized", "attempts": 0, "error": "string", "httpStatusCode": -9007199254740991, "sentAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"}